NotAnAtAspectException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.aspectj.annotation

## Class NotAnAtAspectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.aop.framework.AopConfigException
          - - org.springframework.aop.aspectj.annotation.NotAnAtAspectException

- All Implemented Interfaces:
    Serializable

      public class NotAnAtAspectException
      extends AopConfigException

  Extension of AopConfigException thrown when trying to perform an advisor generation operation on a class that is not an AspectJ annotation-style aspect.
  Since:
    2.0
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotAnAtAspectException(Class<?> nonAspectClass)` Create a new NotAnAtAspectException for the given class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getNonAspectClass()` Returns the offending class.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotAnAtAspectException

          public NotAnAtAspectException(Class<?> nonAspectClass)

      Create a new NotAnAtAspectException for the given class.
      Parameters:
        `nonAspectClass` - the offending class

  - ### Method Detail

    - #### getNonAspectClass

          public Class<?> getNonAspectClass()

      Returns the offending class.